# Uses of Class
org.apache.sysds.runtime.compress.utils.DblArrayCountHashMap

Packages that use DblArrayCountHashMap
Package
Description
org.apache.sysds.runtime.compress.colgroup.dictionary
org.apache.sysds.runtime.compress.colgroup.scheme
org.apache.sysds.runtime.compress.utils

## Uses of DblArrayCountHashMap in org.apache.sysds.runtime.compress.colgroup.dictionary

Methods in org.apache.sysds.runtime.compress.colgroup.dictionary with parameters of type DblArrayCountHashMap
Modifier and Type
Method
Description
`static IDictionary`
DictionaryFactory.`create(DblArrayCountHashMap map, int nCols, boolean addZeroTuple, double sparsity)`

## Uses of DblArrayCountHashMap in org.apache.sysds.runtime.compress.colgroup.scheme

Constructors in org.apache.sysds.runtime.compress.colgroup.scheme with parameters of type DblArrayCountHashMap
Modifier
Constructor
Description
``
`SDCSchemeMC(IColIndex cols, DblArrayCountHashMap map, DblArray def)`

## Uses of DblArrayCountHashMap in org.apache.sysds.runtime.compress.utils

Methods in org.apache.sysds.runtime.compress.utils that return DblArrayCountHashMap
Modifier and Type
Method
Description
`DblArrayCountHashMap`
DblArrayCountHashMap.`clone()`